Bug 191196 - graphics/shotwell : upgrade to 0.18.0
Summary: graphics/shotwell : upgrade to 0.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 187963
  Show dependency treegraph
 
Reported: 2014-06-19 20:22 UTC by Christoph Moench-Tegeder
Modified: 2014-06-20 18:46 UTC (History)
2 users (show)

See Also:


Attachments
upgrade 0.15.1 -> 0.18.0 (11.80 KB, patch)
2014-06-19 20:22 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch take 2 (add USE gnomedocutils) (12.09 KB, patch)
2014-06-20 16:40 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-06-19 20:22:41 UTC
Created attachment 143937 [details]
upgrade 0.15.1 -> 0.18.0

shotwell 0.18.0 is out: http://blogs.gnome.org/jnelson/2014/03/18/announcing-shotwell-0-18/
The upgrade is rather trivial, and passes the checks as recommended by the Porters Handbook.
As shotwell is unmaintained right now, I'll volunteer for adopting it.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-06-20 12:41:30 UTC
Hi. shotwell failed to build here with your patch:

Package gnome-doc-utils was not found in the pkg-config search path.
Perhaps you should add the directory containing `gnome-doc-utils.pc'
to the PKG_CONFIG_PATH environment variable
Package 'gnome-doc-utils', required by 'world', not found
gmake[1]: *** [valacheck] Error 1
gmake[1]: *** Waiting for unfinished jobs....
`rm SpitInterfaces.vala.o` `rm TransitionsInterfaces.vala.o` `rm PublishingInterfaces.vala.o` `rm DataImportsInterfaces.vala.o`
gmake[1]: Leaving directory `/wrkdirs/usr/ports/graphics/shotwell/work/shotwell-0.18.0'

It looks like some dependency is missing.
Comment 2 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:40:03 UTC
Created attachment 143961 [details]
patch take 2 (add USE gnomedocutils)
Comment 3 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:42:21 UTC
OK, I messed up my environment...
So here's take 2 (add gnomedocutils to USE_GNOME), this time redports-tested:

https://redports.org/buildarchive/20140620141028-18552/
https://redports.org/~cmt/20140620141028-18552-217023/shotwell-0.18.0.log
Comment 4 commit-hook freebsd_committer 2014-06-20 18:45:28 UTC
A commit references this bug:

Author: rakuco
Date: Fri Jun 20 18:44:50 UTC 2014
New revision: 358629
URL: http://svnweb.freebsd.org/changeset/ports/358629

Log:
  - Update to 0.18.0.
  - Pass maintainership to submitter.

  PR:		191196
  Submitted by:	cmt@burggraben.net

Changes:
  head/graphics/shotwell/Makefile
  head/graphics/shotwell/distinfo
  head/graphics/shotwell/pkg-plist
Comment 5 Raphael Kubo da Costa freebsd_committer 2014-06-20 18:46:38 UTC
Committed, thanks. The version I committed is slightly different:
- I've set you as the port maintainer.
- @dirrm share/gnome/help/shotwell/es comes before @dirrm share/gnome/help/shotwell/el, since removals should be in reverse order.